> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Data Source by ID

> Gets Data Source by ID. Requires access to Data Source



## OpenAPI

````yaml /api-specs/6.3/public-api.yaml get /api/datasource/v1/datasources/{dataSourceId}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Domino Public API Endpoints
  version: 6.2.2
servers: []
security:
  - DominoApiKey: []
  - BearerAuthentication: []
tags:
  - name: AIGateway
  - name: AppInstances
  - name: AppVersions
  - name: Apps
  - name: AsyncPredictions
  - name: AuditTrail
  - name: BillingTag
  - name: BillingTagSettings
  - name: Cost
  - name: CustomMetrics
  - name: DataSource
  - name: DatasetRw
  - name: DeploymentTargets
  - name: Environments
  - name: GenAI
  - name: HardwareTier
  - name: Jobs
  - name: ModelAPI
  - name: ModelAPIVersion
  - name: ModelDeployment
  - name: Organizations
  - name: PPM
  - name: ProjectSharedDatasets
  - name: ProjectTemplates
  - name: Projects
  - name: ProjectsFiles
  - name: RegisteredModels
  - name: ServiceAccounts
  - name: Users
  - name: Workspaces
paths:
  /api/datasource/v1/datasources/{dataSourceId}:
    get:
      tags:
        - DataSource
      summary: Get Data Source by ID
      description: Gets Data Source by ID. Requires access to Data Source
      operationId: getDataSource
      parameters:
        - description: ID of Data Source to get
          example: 62604702b7e5d347dbe7a909
          in: path
          name: dataSourceId
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataSourceEnvelopeV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
components:
  schemas:
    DataSourceEnvelopeV1:
      properties:
        authType:
          $ref: '#/components/schemas/DataSourceAuthTypeV1'
        config:
          $ref: '#/components/schemas/DataSourceConfigV1'
        credentialType:
          $ref: '#/components/schemas/DataSourceCredentialTypeV1'
        dataSourceType:
          $ref: '#/components/schemas/DataSourceTypeV1'
        description:
          description: Description of the Data Source
          example: My Data Source
          type: string
        displayName:
          description: Data Source display name
          example: Azure Data Lake Store
          type: string
        id:
          description: ID of the Data Source
          example: 62604702b7e5d347dbe7a909
          type: string
        lastUpdated:
          description: ISO 8601 formatted time of when the Data Source was last updated
          example: '2022-04-23T18:25:43.511Z'
          format: date-time
          type: string
        name:
          description: User given name of the Data Source
          example: data-source-name
          type: string
        ownerId:
          description: ID of the Data Source owner
          example: 62604702b7e5d347dbe7a909
          type: string
        ownerUsername:
          description: Username of the owner of the Data Source
          example: owner-username
          type: string
        permissions:
          $ref: '#/components/schemas/DataSourcePermissionsV1'
      required:
        - id
        - name
        - ownerId
        - ownerUsername
        - dataSourceType
        - authType
        - credentialType
        - config
        - permissions
        - lastUpdated
        - displayName
      type: object
    DataSourceAuthTypeV1:
      description: The type of Data Source authentication
      example: AzureBasic
      type: string
    DataSourceConfigV1:
      additionalProperties:
        type: string
      description: A map of configuration name -> value
      type: object
    DataSourceCredentialTypeV1:
      description: Whether the credentials is individual to a user or shared
      enum:
        - Individual
        - Shared
      type: string
    DataSourceTypeV1:
      description: The configuration type of the Data Source
      example: ADLSConfig
      type: string
    DataSourcePermissionsV1:
      properties:
        isEveryone:
          description: If the Data Source is accessible by everyone
          type: boolean
        userAndOrganizationIds:
          description: User and Organization IDs that can access this Data Source
          items:
            type: string
          type: array
      required:
        - isEveryone
        - userAndOrganizationIds
      type: object
    FailureEnvelopeV1:
      properties:
        errors:
          description: Errors that caused a request to fail
          items:
            type: string
          type: array
        requestId:
          description: Id used to correlate a request with server actions.
          example: bbd78579-93c4-45ee-a983-0d5c8da6d5b1
          type: string
      required:
        - requestId
        - errors
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: >-
        The current user cannot perform this operation because they are not
        logged in
    '403':
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FailureEnvelopeV1'
      description: The current user is not authorized to perform this operation
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      in: header
      name: X-Domino-Api-Key
      type: apiKey
    BearerAuthentication:
      in: header
      name: Authorization
      type: apiKey

````